Bug 1850218 - swap on zram [NEEDINFO]
Summary: swap on zram
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Murphy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F33Changes
TreeView+ depends on / blocked
 
Reported: 2020-06-23 18:29 UTC by Ben Cotton
Modified: 2020-11-19 01:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 14:47:42 UTC
Type: ---
bugzilla: needinfo? (safari+rhbug)


Attachments (Terms of Use)

Description Ben Cotton 2020-06-23 18:29:09 UTC
This is a tracking bug for Change: swap on zram
For more details, see: https://fedoraproject.org/wiki/Changes/SwapOnZRAM

Swap is useful, except when it's slow. zram is a RAM drive that uses compression. Create a swap-on-zram during start-up. And no longer use swap partitions by default.

Comment 1 Chris Murphy 2020-08-01 17:26:26 UTC
RFE for Cockpit: 
https://github.com/cockpit-project/cockpit/issues/14436

Possible conflict with udisks2-zram module
https://bugzilla.redhat.com/show_bug.cgi?id=1861463#c7

Obsolete 'zram' package with 'zram-generator-defaults'
https://src.fedoraproject.org/rpms/rust-zram-generator/pull-request/3

Found to be enabled+running when booting from and installing the following media:
Fedora-Everything-netinst-aarch64-Rawhide-20200731.n.0.iso
Fedora-Workstation-Rawhide-20200731.n.0.aarch64.raw.xz
Fedora-Silverblue-ostree-x86_64-Rawhide-20200731.n.0.iso
Fedora-Workstation-Live-x86_64-Rawhide-20200731.n.0.iso

Comment 2 Ben Cotton 2020-08-11 14:42:24 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 3 Ben Cotton 2020-10-27 14:47:42 UTC
Closing tracking bugs for F33. If your change didn't make it into F33 for some reason, please reopen this and NEEDINFO me.

Comment 4 Sami Farin 2020-11-18 09:59:41 UTC
If you enable these kind of features on system upgrade (F32 → F33), it should be better tested.
My kernel had CONFIG_ZSWAP disabled and this feature delayed the boot by a significant amount.

Nov 18 08:30:26 systemd[1]: dev-zram0.device: Job dev-zram0.device/start timed out.
Nov 18 08:30:26 systemd[1]: Timed out waiting for device /dev/zram0.
Nov 18 08:30:26 systemd[1]: Dependency failed for Compressed swap on /dev/zram0.
Nov 18 08:30:26 systemd[1]: Dependency failed for Create swap on /dev/zram0.
Nov 18 08:30:26 systemd[1]: swap-create@zram0.service: Job swap-create@zram0.service/start failed with result 'dependency'.
Nov 18 08:30:26 systemd[1]: dev-zram0.swap: Job dev-zram0.swap/start failed with result 'dependency'.
Nov 18 08:30:26 systemd[1]: dev-zram0.device: Job dev-zram0.device/start failed with result 'timeout'.
Nov 18 08:30:26 systemd[1]: Reached target Swap.

Nov 18 08:32:04 systemd[1]: dev-zram0.device: Job dev-zram0.device/start timed out.
Nov 18 08:32:04 systemd[1]: Timed out waiting for device /dev/zram0.
Nov 18 08:32:04 systemd[1]: Dependency failed for Compressed swap on /dev/zram0.
Nov 18 08:32:04 systemd[1]: Dependency failed for Create swap on /dev/zram0.
Nov 18 08:32:04 systemd[1]: swap-create@zram0.service: Job swap-create@zram0.service/start failed with result 'dependency'.
Nov 18 08:32:04 systemd[1]: Startup finished in 10.000s (kernel) + 24.934s (initrd) + 3min 2.012s (userspace) = 3min 36.947s.
Nov 18 08:32:04 systemd[1]: dev-zram0.swap: Job dev-zram0.swap/start failed with result 'dependency'.
Nov 18 08:32:04 systemd[1]: dev-zram0.device: Job dev-zram0.device/start failed with result 'timeout'.

Comment 5 Chris Murphy 2020-11-19 01:49:56 UTC
@hvtaifwkbgefbaei@gmail.com

This is a feature tracking bug for a feature that has already shipped in Fedora 33. To report a new bug it needs its own bug report.

Also note that zswap is not the same thing as zram. The zram-based swap feature isn't using zswap. Fedora features are predicated on using Fedora kernels, and Fedora kernels do have CONFIG_ZRAM=m set.


Note You need to log in before you can comment on or make changes to this bug.